Extending Qt Creator Manual | DesktopDeviceConfigurationWidget

Extending Qt Creator Manual 4.5.2

# DesktopDeviceConfigurationWidget Class

(ProjectExplorer::DesktopDeviceConfigurationWidget)

Inherits: | ProjectExplorer::IDeviceWidget

- List of all members, including inherited members

## Public Functions

| DesktopDeviceConfigurationWidget(const IDevice::Ptr &device, QWidget *parent = 0)
| ~DesktopDeviceConfigurationWidget() override

## Reimplemented Public Functions

virtual void | updateDeviceFromUi() override

- 1 public function inherited from ProjectExplorer::IDeviceWidget

### Additional Inherited Members

- 1 protected function inherited from ProjectExplorer::IDeviceWidget

## Member Function Documentation

### DesktopDeviceConfigurationWidget::DesktopDeviceConfigurationWidget(const IDevice::Ptr &device, QWidget *parent = 0)

Default constructs an instance of DesktopDeviceConfigurationWidget.

### DesktopDeviceConfigurationWidget::~DesktopDeviceConfigurationWidget()

Destroys the instance of DesktopDeviceConfigurationWidget.

### `[override virtual]` void DesktopDeviceConfigurationWidget::updateDeviceFromUi()